# ApplicationFramework
TKCDF
CDF

# CDF_StoreList Class Reference

`#include <CDF_StoreList.hxx>`

## Public Member Functions

Standard_EXPORT | CDF_StoreList (const Handle(CDM_Document)&aDocument)
Standard_EXPORT Standard_Boolean | IsConsistent () const
Standard_EXPORT CDF_StoreStatus | Store (Handle(CDM_MetaData)&aMetaData, TCollection_ExtendedString &aStatusAssociatedText)
| stores each object of the storelist in the reverse order of which they had been added.
Standard_EXPORT void | Init ()
Standard_EXPORT Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_CDM_Document | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT void | Add (const Handle(CDM_Document)&aDocument)

## Private Attributes

CDM_MapOfDocument | myItems
CDM_StackOfDocument | myStack
CDM_MapIteratorOfMapOfDocument | myIterator
Handle_CDM_Document | myMainDocument

## Constructor & Destructor Documentation

Standard_EXPORT CDF_StoreList::CDF_StoreList | ( | const Handle(CDM_Document)& | aDocument | ) |

## Member Function Documentation

Standard_EXPORT void CDF_StoreList::Add | ( | const Handle(CDM_Document)& | aDocument | ) | `[private]`

Standard_EXPORT const CDF_StoreList::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void CDF_StoreList::Init | ( |  | ) |

Standard_EXPORT Standard_Boolean CDF_StoreList::IsConsistent | ( |  | ) | const

Standard_EXPORT Standard_Boolean CDF_StoreList::More | ( |  | ) | const

Standard_EXPORT void CDF_StoreList::Next | ( |  | ) |

Standard_EXPORT CDF_StoreStatus CDF_StoreList::Store | ( | Handle(CDM_MetaData)& | aMetaData,
|  | TCollection_ExtendedString & | aStatusAssociatedText
| ) |

Standard_EXPORT Handle_CDM_Document CDF_StoreList::Value | ( |  | ) | const

## Field Documentation

CDM_MapOfDocument CDF_StoreList::myItems `[private]`

CDM_MapIteratorOfMapOfDocument CDF_StoreList::myIterator `[private]`

Handle_CDM_Document CDF_StoreList::myMainDocument `[private]`

CDM_StackOfDocument CDF_StoreList::myStack `[private]`

The documentation for this class was generated from the following file:

- CDF_StoreList.hxx